Package writer2latex.latex

# Class PageStyleConverter

java.lang.Object
writer2latex.latex.StyleConverter
writer2latex.latex.PageStyleConverter

public class PageStyleConverter extends StyleConverter

## Field Summary

### Fields inherited from class writer2latex.latex.StyleConverter

`declarations, styleMap, styleNames`

## Constructor Summary

Constructors
Constructor
Description
`PageStyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `PageStyleConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`applyPageBreak(StyleWithProperties style, boolean bInherit, BeforeAfter ba)`
Apply page break properties from a style.
`boolean`
`isTwocolumn()`
`void`
`setChapterField1(String s)`
`void`
`setChapterField2(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageStyleConverter

public PageStyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Constructs a new `PageStyleConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

Overrides:
  `appendDeclarations` in class `StyleConverter`

### setChapterField1

public void setChapterField1(String s)

### setChapterField2

public void setChapterField2(String s)

### isTwocolumn

public boolean isTwocolumn()

### applyPageBreak

public void applyPageBreak(StyleWithProperties style, boolean bInherit, BeforeAfter ba)

Apply page break properties from a style.

Parameters:
  `style` - the style to use
  `bInherit` - true if inheritance from parent style should be used
  `ba` - a `BeforeAfter` to put code into